Subject: bug#78890: 31.0.50; Messy vc-annotate buffer names

From: Stephen Berman <[email-masked]>
Date: Thu, 26 Jun 2025 23:23:47 +0200

On Thu, 26 Jun 2025 12:13:57 -0700 Jim Porter <[email-masked]> wrote:

> On 6/26/2025 11:27 AM, Sean Whitton wrote:
>> I'm more concerned about an actual clash in buffer names between files
>> with the same name in different directories.  What do you think about
>> that?
>
> I think it would be fairly rare for us not to have the original buffer in the
> first place, but it would be even rarer to additionally have some *other*
> buffer with the same (non-directory) buffer name.

I often have two buffers of the same Emacs source file from master and
from emacs-30 (on occasion even a third one from emacs-29), and when I
call vc-annotate on them the buffer names look like this:

*Annotate vc-annotate.el<emacs-30> (rev 039ad15373d)*
*Annotate vc-annotate.el<emacs-master> (rev 2b34f38b383)*

Can these be retained if the source buffers are killed?

Steve Berman